#ifndef TYPES_H
#define TYPES_H

/*
 * C++ linkage
 */
#ifdef EXTERN_C
#undef EXTERN_C
#endif

#ifdef __cplusplus
#define EXTERN_C	extern "C"
#else
#define EXTERN_C	extern
#endif


/*
 * types
 */
typedef signed long int32;
typedef signed short int16;
typedef char int8;

typedef unsigned long uint32;
typedef unsigned short uint16;
typedef unsigned char uint8;

typedef float float32;
typedef int32 FLOAT16_16;

/*
 * const qualifier mapping
 */
#define CONST								const
#ifdef OK
#undef OK
#endif
#define OK									0
#define ERR									1

#endif // TYPES_H